<?php

// +----------------------------------------------------------------------+
// | PHP Version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2004 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 3.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at                           |
// | http://www.php.net/license/3_0.txt.                                  |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Author: Robert Peake <robert@peakepro.com>                           |
// +----------------------------------------------------------------------+
//
// $Id: Net_Monitor_Service.php,v 0.0.6 2004/12/08 00:00:00 cyberscribe Exp $
//
// Remote service monitor
/**
 * @package Net_Monitor
 * @author Robert Peake <robert@peakepro.com>
 * @copyright 2004
 * @license http://www.php.net/license/3_0.txt
 * @version 0.0.6 (proposal)
 */
/** 
 * class Net_Monitor_Service
 *
 * A generic service monitoring class
 *
 * @package Net_Monitor
 * @access public
 */
class Net_Monitor_Service
{
    /**
     * @var string _service
     * @access private
     */
    var $_service = 'Generic';
    /**
     * @var object _client
     * @access private
     */
    var $_client = NULL;
    /**
     * @var int _last_code
     * @access private
     */
    var $_last_code = -1;
    /** 
     * function check
     * 
     * Checks the specified server for availability.
     * Returns false on success, or a notification array on failure.
     *
     * @param mixed server
     * @return mixed
     */
    function check($server) 
    {
        return array('host' => $server, 'service' => $this->_service, 'message' => "not yet implemented", 'code' => -1);
    }
}
?>
